# Generated by Django 2.0.2 on 2018-03-16 10:01

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('uds', '0027_deployedservice_allow_users_reset'),
    ]

    operations = [
        migrations.CreateModel(
            name='Account',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.CharField(default=None, max_length=50, null=True, unique=True)),
                ('name', models.CharField(db_index=True, max_length=128)),
                ('time_mark', models.DateTimeField(default=datetime.datetime(1972, 7, 1, 0, 0))),
                ('comments', models.CharField(max_length=256)),
                ('tags', models.ManyToManyField(to='uds.Tag')),
            ],
            options={
                'db_table': 'uds_accounts',
            },
        ),
        migrations.CreateModel(
            name='AccountUsage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.CharField(default=None, max_length=50, null=True, unique=True)),
                ('user_name', models.CharField(db_index=True, default='', max_length=128)),
                ('user_uuid', models.CharField(db_index=True, default='', max_length=50)),
                ('pool_name', models.CharField(db_index=True, default='', max_length=128)),
                ('pool_uuid', models.CharField(db_index=True, default='', max_length=50)),
                ('start', models.DateTimeField(default=datetime.datetime(1972, 7, 1, 0, 0))),
                ('end', models.DateTimeField(default=datetime.datetime(1972, 7, 1, 0, 0))),
                ('account', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='usages', to='uds.Account')),
                ('user_service', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='accounting', to='uds.UserService')),
            ],
            options={
                'db_table': 'uds_acc_usage',
            },
        ),
        migrations.CreateModel(
            name='Proxy',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.CharField(default=None, max_length=50, null=True, unique=True)),
                ('name', models.CharField(db_index=True, max_length=128)),
                ('comments', models.CharField(max_length=256)),
                ('host', models.CharField(max_length=256)),
                ('port', models.PositiveIntegerField(default=9090)),
                ('ssl', models.BooleanField(default=True)),
                ('check_cert', models.BooleanField(default=False)),
                ('tags', models.ManyToManyField(to='uds.Tag')),
            ],
            options={
                'db_table': 'uds_proxies',
            },
        ),
        migrations.RemoveField(
            model_name='deployedservice',
            name='meta_pools',
        ),
        migrations.AddField(
            model_name='deployedservice',
            name='visible',
            field=models.BooleanField(default=True),
        ),
        migrations.AddField(
            model_name='ticketstore',
            name='owner',
            field=models.CharField(blank=True, default=None, max_length=8, null=True),
        ),
        migrations.AddField(
            model_name='deployedservice',
            name='account',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='servicesPools', to='uds.Account'),
        ),
        migrations.AddField(
            model_name='service',
            name='proxy',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='services', to='uds.Proxy'),
        ),
    ]
