# Generated by Django 2.1.1 on 2018-10-03 10:49

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('uds', '0028_auto_20180316_1001'),
    ]

    operations = [
        migrations.CreateModel(
            name='CalendarAccessMeta',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.CharField(default=None, max_length=50, null=True, unique=True)),
                ('access', models.CharField(default='DENY', max_length=8)),
                ('priority', models.IntegerField(db_index=True, default=0)),
                ('calendar', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='uds.Calendar')),
            ],
            options={
                'db_table': 'uds_cal_maccess',
                'ordering': ('priority',),
            },
        ),
        migrations.CreateModel(
            name='MetaPool',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.CharField(default=None, max_length=50, null=True, unique=True)),
                ('name', models.CharField(default='', max_length=128)),
                ('short_name', models.CharField(default='', max_length=32)),
                ('comments', models.CharField(default='', max_length=256)),
                ('visible', models.BooleanField(default=True)),
                ('fallbackAccess', models.CharField(default='ALLOW', max_length=8)),
                ('policy', models.SmallIntegerField(default=0)),
                ('accessCalendars', models.ManyToManyField(related_name='accessMeta', through='uds.CalendarAccessMeta', to='uds.Calendar')),
                ('assignedGroups', models.ManyToManyField(db_table='uds__meta_grps', related_name='metaPools', to='uds.Group')),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='metaPools', to='uds.Image')),
            ],
            options={
                'db_table': 'uds__pool_meta',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='MetaPoolMember',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.CharField(default=None, max_length=50, null=True, unique=True)),
                ('priority', models.PositiveIntegerField(default=0)),
                ('enabled', models.BooleanField(default=True)),
                ('meta_pool', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='members', to='uds.MetaPool')),
                ('pool', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='memberOfMeta', to='uds.DeployedService')),
            ],
            options={
                'db_table': 'uds__meta_pool_member',
                'abstract': False,
            },
        ),
        migrations.AlterField(
            model_name='calendaraccess',
            name='service_pool',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='calendarAccess', to='uds.DeployedService'),
        ),
        migrations.AddField(
            model_name='metapool',
            name='pools',
            field=models.ManyToManyField(related_name='meta', through='uds.MetaPoolMember', to='uds.DeployedService'),
        ),
        migrations.AddField(
            model_name='metapool',
            name='servicesPoolGroup',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='metaPools', to='uds.ServicesPoolGroup'),
        ),
        migrations.AddField(
            model_name='metapool',
            name='tags',
            field=models.ManyToManyField(to='uds.Tag'),
        ),
        migrations.AddField(
            model_name='calendaraccessmeta',
            name='meta_pool',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='calendarAccess', to='uds.MetaPool'),
        ),
    ]
