# Generated by Django 3.0.3 on 2020-05-05 11:12

from django.db import migrations

MOVEABLES = (
    'Site name',
    'Site copyright info',
    'Site copyright link',
    'Site Logo name'
)

OLD_SECTION = 'UDS'
NEW_SECTION = 'Custom'

def move(apps, old_section: str, new_section: str) -> None:
    model = apps.get_model('uds', 'Config')
    # Ensure NEW section values does not exists
    model.objects.filter(section=new_section, key__in=MOVEABLES).delete()
    for v in model.objects.filter(section=old_section, key__in=MOVEABLES):
        v.section = new_section
        v.save()

def updateConfig(apps, schema_editor) -> None:
    move(apps, OLD_SECTION, NEW_SECTION)

def reverseConfig(apps, schema_editor) -> None:
    move(apps, NEW_SECTION, OLD_SECTION)

class Migration(migrations.Migration):

    dependencies = [
        ('uds', '0037_service_token'),
    ]

    operations = [
        migrations.RunPython(
            updateConfig,
            reverseConfig
        )
    ]
